
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>vueCli3 封装axios 及 配置proxy跨域 / 憋错料</title>

    <meta name="description" content="vueCli3 封装axios 及 配置proxy跨域 步骤1:首先呢,在util文件下创建一个auth.js 用来获取token .存储token .删除token (这里的token是存放在sessionStorage里面) const TokenKey = 'user_token' export function getToken() { return sessionStorage.getItem(TokenKey) } export function setToken(token) { return sessionStorage.setIte">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">vueCli3 封装axios 及 配置proxy跨域</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>步骤1：首先呢，在util文件下创建一个auth.js 用来获取token 、存储token 、删除token （这里的token是存放在sessionStorage里面）</p>
<pre>const TokenKey = ‘user_token‘

export function getToken() {

    return sessionStorage.getItem(TokenKey)
}

export function setToken(token) {
    return sessionStorage.setItem(TokenKey, token)

}

export function removeToken() {
    return sessionStorage.remove(TokenKey)
}</pre>
<p>步骤2：将axios进行一个简单的封装；在util文件夹下创建一个http.js</p>
<pre>process.env.VUE_APP_URL 是作为baseURL的， 不知道怎么回事儿的可以看看 <a href="https://www.cnblogs.com/TreeCTJ/p/12515914.html" rel="external nofollow noreferrer">https://www.cnblogs.com/TreeCTJ/p/12515914.html</a></pre>

<pre>import axios from "axios"  //引入axios
import qs from "qs"  //这个是axios里面的模块，用于序列化参数的。 看情况使用哦
import { getToken } from "./auth"   //获取到token

//创建一个axios实例
const service = axios.create({
   baseURL: process.env.VUE_APP_URL,
   timeout:5000,
   //transformRequest 这里主要是 post请求时 请求成功了，但是后台并没
   //有获取到前端的请求参数。如果后台是直接从请求体里取的话，请忽略
   transformRequest:[
       data =&gt; {
           let params = qs.stringify(data, {indices: false})
           return params
       }
   ]
})

let token = getToken()  //获取token

// 请求拦截器
service.interceptors.request.use(
    config =&gt; {
        if(token){
            //每次请求都需要带上token去请求接口
            config.headers[‘token‘] = getToken()
        }
        return config
    },
    error =&gt; {
       return Promise.reject(error)
    }
)

//响应拦截器
service.interceptors.response.use(
    response =&gt; {
        const res = response.data
        if(res.code != 200){
            //这里主要是判断code值 等于什么，代表着token值失效 例如：50008
            if(res.code == 50008){
               MessageBox.confirm("token值失效，请重新登录",{
                  confirmButtonText: "返回登录页",
                  cancelButtonText: "取消",
                  type: "warning"
               }).then(() =&gt; {
                //退回到登录页 需要将sessionStorage里面的值给清空掉
                sessionStorage.clear()
               })
           }
          return res
        }else{
          return res
        }
    },
    error =&gt; {
       return Promise.reject(error)
   }
)

export default service
</pre>
<p>步骤3：src文件夹下创建一个api文件夹 专门用来存放 请求接口的&nbsp; 例如api文件夹下创建了一个&nbsp; user.js</p>
<pre>import request from ‘@/util/http‘
//接口文件呢，post请求参数名为data，get请求参数名为params
export function login(data) {
    return request({
        url: ‘/system/login/login‘,
        method: ‘post‘,
        data
    })
}

export function loginOut(params) {
    return request({
        url: ‘/system/login/exit‘,
        method: ‘get‘,        params
    })
}</pre>
<p>步骤4：做一个简单的路由拦截，在src文件夹下创建一个 permission.js&nbsp; &nbsp; ，最后到main.js 中引入&nbsp; &nbsp;&nbsp;import&nbsp;‘@/permission‘</p>
<pre>import router from ‘./router‘
import { getToken } from ‘./util/auth‘
const whiteList = [‘/login‘] // no redirect whitelist

router.beforeEach(async (to, from, next) =&gt; {

  // determine whether the user has logged in 确认用户是否已经登录了
  const hasToken = getToken()
  if (hasToken) {
    if (to.path === ‘/login‘) {
      // if is logged in, redirect to the home page 如果登录了就跳转到下面这个地址
      next({
        path: ‘/project/list‘
      })
    } else {
      if (hasToken) {
        next()
      } else {
        try {
          next()
        } catch (error) {
          // remove token and go to login page to re-login 删除token，重新登录
          Message.error(error || ‘Has Error‘)
          next(`/login?redirect=${to.path}`)
        }
      }
    }
  } else {
    /* has no token*/

    if (whiteList.indexOf(to.path) !== -1) {
      // in the free login whitelist, go directly  不需要登录就可以进入的页面
      next()
    } else {
      // other pages that do not have permission to access are redirected to the login page.  没有访问权限的其他页面被重定向到登录页面。
      // next(`/login?redirect=${to.path}`)
      next(`/login`)
    }
  }
})</pre>
<p>以上 就是一个简单的axios请求封装以及一个简单的路由拦截</p>
<p>proxy解决前端跨域问题</p>
<p>在vue.config.js 文件中 设置 即可</p>
<pre>module.exports = {
    devServer: {
        proxy: {
            "/system": {
                target: "http://www.baidu.com",
                changOrigin: true
            },
            "/project": {
                target: "http://www.baidu.com",
                changOrigin: true
            },
            "/facility": {
                target: "http://www.baidu.com",
                changOrigin: true
            },
            "/log": {
                target: "http://www.baidu.com",
                changOrigin: true
            },
            "/fileHandle": {
                target: "http://www.baidu.com",
                changOrigin: true
            }
        }
    }
}</pre>
<p>　　　　</p>

<p>原文地址：https://www.cnblogs.com/TreeCTJ/p/12698766.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-09 03:47:43 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/data/" title="data">data</a>, <a href="https://www.biecuoliao.com/tag/src/" title="src">src</a>, <a href="https://www.biecuoliao.com/tag/path/" title="path">path</a>, <a href="https://www.biecuoliao.com/tag/user/" title="user">user</a>, <a href="https://www.biecuoliao.com/tag/other/" title="other">other</a>, <a href="https://www.biecuoliao.com/tag/creat/" title="creat">creat</a>, <a href="https://www.biecuoliao.com/tag/reject/" title="reject">reject</a>, <a href="https://www.biecuoliao.com/tag/miss/" title="miss">miss</a>, <a href="https://www.biecuoliao.com/tag/cancel/" title="cancel">cancel</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>vueCli3 封装axios 及 配置proxy跨域的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jYZoWM.html" rel="bookmark">第五节：SignalR大杂烩&lpar;与MVC融合、全局的几个配置、跨域的应用、C&sol;S程序充当Client和Server&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一. 说在前面的话 本节主要在前面章节的基础上补充了几个简单的知识点,比如:第三方调用通过 GlobalHost.ConnectionManager.GetHubContext&lt;MySpecHub1&gt;();来获取Hub对象,那么能不能封装一下不必每次都这么获取呢?再比如SignalR传输是否有大小限制,一下传输10w个字能否传输成功?最后着重整理一下跨域的各种使用情况,结合C/S程序充当客户端和服务器端. 本节内容包括: ①. SignalR与MVC或者WebApi简单的整合. ②. 全局的几			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoNokb4.html" rel="bookmark">Nginx配置springboot-vue跨域</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				nginx-springboot-vue前后端分离跨域配置 引言 接着上篇--简单的springboot-vue前后端分离登录Session拦截的demo,其中跨域是通过springboot后端全局设置的,但是碰到了奇怪的问题,用了个不优雅的方式解决. 于是想到使用Nginx跨域应该就不会如此了. windows下载安装 http://nginx.org/ 下载稳定版,解压缩. 查看配置文件 /nginx-1.16.0/conf/nginx.conf : #gzip on; server { l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vyOpX0.html" rel="bookmark">WCF配置问题（配置WCF跨域）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				其它的先放一边.今天先来分享一下前段时间给公司做网站WCF服务接口的心得. 配置文件的配置问题 这里既然讨论WCF配置文件的问题,那么怎么创建的就不一一讲解了.好多博主都有提过的.所以直接分享自己开发时的收获,这里感谢好多给我启发的人,@好多人.... 我这里就拿登录接口来分享下吧. 先贴出代码. 这是服务端代码 因为ASP的兼容性问题,这里的AspNetCompatibilityRequirementsMode用Allowed(这里说一下,因为前段用Ajax调的接口,所以用了callback)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35zZqj4.html" rel="bookmark">阿里云服务器ECS Apache、Nginx 配置支持跨域访问</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何让 Apache.Nginx支持跨域访问. 处理办法 配置 Apache 跨域访问 步骤: 修改 httpd.conf. 把 LoadModule headers_module modules/mod_headers.so 前面的注释删除 修改  改为:  即: AllowOverride none Require all granted Header set Access-Control-Allow-Origin * 说明: 首先使用图形界面开启headers_module模块功			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEmNp1M.html" rel="bookmark">node&period;js配置允许跨域请求，设置允许携带的请求头参数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在用node.js写自己的后台时遇见了跨域问题,之前处理跨域都是在前端配置代理解决的,这次打算在后台解决,中途也遇到了一些坑,比如我在请求头里加了一个自定义的参数token,结果后台配置的时候没有允许请求能够携带该参数,造成预检请求发出后,就没任何响应了.为此折腾了半天才发现问题...还是对它不够了解,所以查阅了相关资料,下面做出自己的理解: 都知道跨域是因为浏览器的同源策略造成的,当客户端访问服务端时,如果两端的ip.端口.协议任意一个不同就会产生跨域.下面介绍node.js后台如何配置允			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kKpzz0.html" rel="bookmark">React里配置接口跨域代理【亲测完美实现～】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这种问题当然离不了官网妈妈的支持:传送门 官网给了三种解决方案.前两种我就不赘述了(主要是因为我没用) 而官网的第三种推荐的方式: 1.安装依赖: $ npm install http-proxy-middleware --save $ # or $ yarn add http-proxy-middleware 2.在“src”文件夹下新建“setupProxy.js”文件.并做官网推荐的配置- 理论上,在正确的路径下新建setupProxy.js完毕,你只需要把下边这段官网的代码抄过来就可以了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xjZ2j4.html" rel="bookmark">vue webpack配置解决跨域问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在基本项目都是实行前后端分离的原则,不管是ng 或者是vue 在开发中都无法避免跨域的这个问题 本人刚上手第一个vue项目,在调用api的时候出现了跨域的这个问题 这是封装好一个简单的post 请求 http.js post (url, data) { return axios({ method: 'post', baseURL: '/api', url, data: data, timeout: 10000, headers: { 'X-Requested-With': 'XMLHttpRe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mzlljk3.html" rel="bookmark">VUE3&period;0升级与配置（跨域等）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.检查本机vue版本 vue -V 2.升级vue3.0命令 npm install -g @vue/cli 3.创建完项目后,在项目根目录新增vue.config.js文件,插入代码(简洁) 1 module.exports = { 2 runtimeCompiler: true, //是否使用包含运行时编译器的 Vue 构建版本 3 publicPath: '', 4 productionSourceMap: false, //不在production环境使用SourceMap 5 dev			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RnADR0.html" rel="bookmark">Web API 实现JSONP或者安装配置Cors跨域</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 照理来说本节也应该讲Web API原理,目前已经探讨完了比较底层的Web API消息处理管道以及Web Host寄宿管道,接下来应该要触及控制器.Action方法,以及过滤器.模型绑定等等,想想也是心痛不已,水太深了,摸索原理关键是太枯燥和乏味了,但是呢,从情感上还是挺乐意去摸索原理,而情绪上不太乐意去探究原理,于是乎,本文就由此诞生了,借此文缓解下枯燥的心情和压抑的情绪.后续继续摸索原理. 接下来我们要讲的就是利用JSONP和利用Cors这两种方式来实现跨域,请看下文..... JSON			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/v0kOOL0.html" rel="bookmark" class="title">第六周技术博客</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot; /&gt; &lt;title&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0knD5XM.html" rel="bookmark" class="title">咋搞tableview</a>
					<div>
						1.放一个tableview storyboard就放界面上 代码就写在viewcontroller里 2.在viewcontroller.h里面加上 &lt;UITableViewDelegate, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lX18B0.html" rel="bookmark" class="title">字符设备驱动程序的使用</a>
					<div>
						1.编译.安装驱动linux系统中,驱动程序通常采用内核模块的程序结构来进行编码,因此,编译.安装一个驱动程序,其实质就是编译.安装一个内核模块.将文件memdev.c makefile 放入虚拟机中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47pdYYM.html" rel="bookmark" class="title">JavaWeb 环境搭建</a>
					<div>
						环境搭建 JDK7 Java基本开发工具包 安装(目录[不要使用中文和空格].JDK+JRE) 配置环境变量[JAVA_HOME.path.classpath] 2.        Tomcat7 提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eq7DE0.html" rel="bookmark" class="title">ubuntukylin基础 who 查看系统现在有谁在线</a>
					<div>
						镇场文:       学儒家经世致用,行佛家普度众生,修道家全生保真,悟易理象数通变.以科技光耀善法,成就一良心博客._________________________________________ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXdDeQM.html" rel="bookmark" class="title">回收数据库表空间的一个思路</a>
					<div>
						有些项目比较小,硬盘空间也只有40多G,加上无人维护,久而久之就出现了硬盘空间告警的问题.经过查看之后,发现有些数据文件一开始就设置成2G,但实际可能就只使用了100M左右.为了解决硬盘空间告警的问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JkLL9M.html" rel="bookmark" class="title">帮助命令</a>
					<div>
						帮助命令 : man 命令 man 命令 #man ls man -f  命令 whatis 命令 # man -5 passwd man -k 命令 apropos 命令(含有命令关键字的命令  都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWAKNr3.html" rel="bookmark" class="title">Swift 类和对象</a>
					<div>
						创建和使用类 Swift 使用class创建一个类,类可以包含字段和方法: 1 class Shape { 2 var numberOfSides = 0 3 func simpleDescripti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jXLyo4.html" rel="bookmark" class="title">css之属性及剩余的选择符</a>
					<div>
						今天的课程加速了,比平时快了些,但觉得很不错.nice~ 属性选择符 E[att]       选择具有att属性的E元素. input[type]{color: #red;} &lt;input t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ONX7g0.html" rel="bookmark" class="title">hdu 4995&lpar;离散化下标&plus;模拟&rpar;</a>
					<div>
						Revenge of kNN Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)To ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0leXJN3.html" rel="bookmark" class="title">Git add和commit步骤分析</a>
					<div>
						修改后或者添加新的文件,执行add命令后,首先它会先存入本地库的暂存区, add可以上传很多个文件,然后执行commit命令后,都会被提交到默认的分支 Master分支上.只有文件更改和文件新建,都可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Nj5ZV4.html" rel="bookmark" class="title">多磁盘自动分区自动挂载脚本</a>
					<div>
						起源: 准备测试tfs分布式存储,发现一台服务器24块大盘,还有好几台服务器, 想想那么碰分区格式化,UUID自动挂载,还好有自动脚本. 1,yes能在你需要输入y时帮你操作,要不一台服务器不间断24 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QjJO2M.html" rel="bookmark" class="title">bootstrap左侧边栏</a>
					<div>
						之前都是想直接把导航栏放左边,但是会占一整行 网上找了好久,看到用bootstrap响应式布局,可以比较简单实现 经典的,可以参考:http://demo.qianduanblog.com/3150/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41yWLG4.html" rel="bookmark" class="title">python中super关键字的用法</a>
					<div>
						class A: def __init__(self):    print &quot;enter A&quot;    print &quot;leave A&quot; class B(A): d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35n6kv4.html" rel="bookmark" class="title">web  storage 离线存储</a>
					<div>
						用来保存键值对数据,数据以属性的方式保存在storage实例对象上 可以用storage1.length来决定键值对的数量,但是无法决定数据的大小,storage1.remainingSpace可以获 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49D8Bb3.html" rel="bookmark" class="title">数据行转列的应用（json数据源）</a>
					<div>
						开发项目时有时会遇到将数据的行列进行转换.今天逛园子是看到一个很不错的方法.不需要在数据库中对数据进行行列转换,将数据集合转换长json格式使用如下代码即可. &lt;script&gt; $(doc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rpVn1M.html" rel="bookmark" class="title">深入集合框架之ArrayList源码剖析</a>
					<div>
						ArrayList概述 ArrayList底层由数组实现,非线程安全,但是数组可以动态增加,也可以叫动态数组,提供了一系列的好处,我们来深入看看: 成员变量与构造函数 /** * 存储ArrayLis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mm1bWPM.html" rel="bookmark" class="title">C&plus;&plus;学习24 虚析构函数</a>
					<div>
						在C++中,构造函数用于在创建对象时进行初始化工作,不能声明为虚函数.因为在执行构造函数前对象尚未创建完成,虚函数表尚不存在,也没有指向虚函数表的指针,所以此时无法查询虚函数表,也就不知道要调用哪一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPRxmB3.html" rel="bookmark" class="title">MPI Maelstrom---poj1502（最短路模板）</a>
					<div>
						题目链接:http://poj.org/problem?id=1502 题意:求从处理器1到其它处理器所需的最少时间是多少: 输入是下三角,如果是x表示A[i][j]不能直接联系: #include  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vydlR0.html" rel="bookmark" class="title">4&period;集合类型（数组&amp;amp&semi;set）</a>
					<div>
						(1)数组 1..isEmpty判断是否为空 2..append来增加 3.+=也可以增加 4. 5. 6.removeLast (2)数组遍历: 1.for-in 2.enumerate (3)数组 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.043 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
